MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025845Open CASCADE[OCCT] OCCT:VISpublic2015-02-19 13:292021-04-03 12:49
Reporterssv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0025845: VIS - Surface normals to be associated with polygonal source
DescriptionCurrently in IVtk it is not possible to use original geometric normals in triangulation nodes. These normals are required in order to enhance visualization smoothness. Currently IVtk client code is forced to use vtkPolyDataNormals filter in couple with Phong/Gouraud shading mode, but this does not help much (see screenshot attached).

Once fixed, the official user's guide on IVtk has to be reviewed (I think, currently it contains some notes on necessity to use vtkPolyDataNormals).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon shading_02.png (29,940 bytes) 2015-02-19 13:29
? file icon l_face.brep (126,760 bytes) 2015-02-19 13:29

- Relationships
related to 0032247verifiedbugmaster VIS, IVtkOCC_ShapeMesher - allow disabling auto-triangulation behavior 

-  Notes
(0038375)
git (administrator)
2015-03-15 21:42

Branch CR25845 has been created by aba.

SHA-1: 3ee95aaf00209af3b870acdcdd3f8eea005717ae


Detailed log of new commits:

Author: aba
Date: Sun Mar 15 21:41:50 2015 +0300

    0025845: Surface normals to be associated with polygonal source:
    - IVtkDraw: added ivtkproperty command
    - IVtkDraw: added vtkPolyDataNormals filter for cells as default
(0038398)
git (administrator)
2015-03-16 15:55

Branch CR25845 has been updated by aba.

SHA-1: be6a1626cf4bf7c1012c69d5680f2d4d5d88d557


Detailed log of new commits:

Author: aba
Date: Mon Mar 16 15:54:54 2015 +0300

    get normals from OCC polydata

(0040069)
abv (manager)
2015-04-21 06:05

What is the status of this issue? is it going to be fixed in OCCT 6.9.0?
(0085602)
ssv (developer)
2019-07-11 15:30

Put the "unscheduled" version as there is no demand currently in fixing the reported issue. Applying vtkPolyDataNormals filter gives a sufficiently smooth presentation of curved geometry.
(0099002)
git (administrator)
2021-02-20 17:55

Branch CR25845 has been updated forcibly by mkrylova.

SHA-1: 568126bd9749703af9ddaac4d5b61eae2aa2e99a
(0099108)
git (administrator)
2021-02-24 14:38

Branch CR25845 has been updated forcibly by mkrylova.

SHA-1: cc38acc1c0bfee2c6f3e4156e0c506688e143a4e
(0099109)
git (administrator)
2021-02-24 14:42

Branch CR25845_2 has been created by mkrylova.

SHA-1: 3e1fd728966dc91109f24364daf69eab8571272e


Detailed log of new commits:

Author: mkrylova
Date: Wed Feb 17 17:07:05 2021 +0300

    0025845: VIS - Surface normals to be associated with polygonal source
    
    - added function IVtkDraw_HighlightAndSelectionPipeline::SetDisplayMode() to change display mode
    - added normals estimation to IVtkOCC_ShapeMesher::addShadedFaces()
(0099116)
kgv (developer)
2021-02-24 19:30

There are image repressions - check test cases v3d/ivtk/seam_edges and v3d/transparency/oit.
(0099899)
git (administrator)
2021-03-30 23:59

Branch CR25845_3 has been created by kgv.

SHA-1: 586823d8e5dc7c628be685816eb855088edb2c67


Detailed log of new commits:

Author: kgv
Date: Tue Mar 30 21:26:45 2021 +0300

    0025845: VIS - Surface normals to be associated with polygonal source
    
    IVtk_IShapeData::InsertCoordinate() has been replaced by IVtk_IShapeData::InsertPoint()
    defining vertex position with surface normal.
    IVtkVTK_ShapeData now allocates normals array within vtkPolyData.
    IVtkOCC_ShapeMesher now fills in vertex positions with surfcae normals.
    IVtkTools_SubPolyDataFilter has been corrected to optionally copy normals.
    
    IVtkDraw now activates Phong shading by default.
(0099919)
git (administrator)
2021-03-31 16:45

Branch CR25845_3 has been updated forcibly by kgv.

SHA-1: 925fa131f028a37d17cb5495d19d48a9093c8372
(0099924)
kgv (developer)
2021-03-31 19:02

Updated patch is ready for review
- OCCT: branch CR25845_3.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR25845_3-master-KGV/ [^]
(0099930)
git (administrator)
2021-04-01 10:43

Branch CR25845_3 has been updated forcibly by kgv.

SHA-1: a8690dc621927c1439a03512fa60ddcb93bee829
(0099932)
osa (developer)
2021-04-01 10:58

The patch was reviewed
(0100021)
bugmaster (administrator)
2021-04-03 11:56

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100028)
git (administrator)
2021-04-03 12:49

Branch CR25845 has been deleted by inv.

SHA-1: cc38acc1c0bfee2c6f3e4156e0c506688e143a4e
(0100029)
git (administrator)
2021-04-03 12:49

Branch CR25845_2 has been deleted by inv.

SHA-1: 3e1fd728966dc91109f24364daf69eab8571272e
(0100030)
git (administrator)
2021-04-03 12:49

Branch CR25845_3 has been deleted by inv.

SHA-1: a8690dc621927c1439a03512fa60ddcb93bee829

- Related Changesets
occt: master d0b8f010
Timestamp: 2021-03-30 18:26:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025845: VIS - Surface normals to be associated with polygonal source

IVtk_IShapeData::InsertCoordinate() has been replaced by IVtk_IShapeData::InsertPoint()
defining vertex position with surface normal.
IVtkVTK_ShapeData now allocates normals array within vtkPolyData.
IVtkOCC_ShapeMesher now fills in vertex positions with surfcae normals.
IVtkTools_SubPolyDataFilter has been corrected to optionally copy normals.

ivtksetboundingdraw command has been merged into "ivtksetdispmode -faceBoundaryDraw".
mod - src/IVtk/IVtk_IShapeData.hxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.hxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_DisplayModeFilter.cxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_DisplayModeFilter.hxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_SubPolyDataFilter.cxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_SubPolyDataFilter.hxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_ShapeData.cxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_ShapeData.hxx Diff ] File ]
mod - tests/vtk/ivtk/boundary_draw Diff ] File ]
mod - tests/vtk/ivtk/seam_edges Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-19 13:29 ssv New Issue
2015-02-19 13:29 ssv Assigned To => san
2015-02-19 13:29 ssv File Added: shading_02.png
2015-02-19 13:29 ssv File Added: l_face.brep
2015-03-09 18:34 aba Assigned To san => aba
2015-03-15 21:42 git Note Added: 0038375
2015-03-16 15:55 git Note Added: 0038398
2015-04-21 06:05 abv Note Added: 0040069
2015-04-21 08:00 aba Status new => assigned
2015-04-21 08:00 aba Target Version 6.9.0 => 7.1.0
2016-11-01 06:41 abv Target Version 7.1.0 => 7.2.0
2017-07-27 09:43 abv Target Version 7.2.0 => 7.4.0
2019-05-19 16:16 kgv Summary Surface normals to be associated with polygonal source => VIS - Surface normals to be associated with polygonal source
2019-07-11 15:30 ssv Note Added: 0085602
2019-07-11 15:30 ssv Target Version 7.4.0 => Unscheduled
2020-12-14 13:01 kgv Assigned To aba => mkrylova
2020-12-14 13:01 kgv Target Version Unscheduled => 7.6.0*
2021-02-20 17:55 git Note Added: 0099002
2021-02-20 17:56 mkrylova Assigned To mkrylova => kgv
2021-02-20 17:56 mkrylova Status assigned => resolved
2021-02-20 17:56 mkrylova Steps to Reproduce Updated View Revisions
2021-02-20 19:49 kgv Assigned To kgv => mkrylova
2021-02-20 19:49 kgv Status resolved => assigned
2021-02-24 14:38 git Note Added: 0099108
2021-02-24 14:42 git Note Added: 0099109
2021-02-24 14:43 mkrylova Assigned To mkrylova => kgv
2021-02-24 14:43 mkrylova Status assigned => resolved
2021-02-24 19:30 kgv Note Added: 0099116
2021-02-24 19:30 kgv Assigned To kgv => mkrylova
2021-02-24 19:30 kgv Status resolved => assigned
2021-03-26 15:30 kgv Relationship added related to 0032247
2021-03-30 23:59 git Note Added: 0099899
2021-03-31 16:45 git Note Added: 0099919
2021-03-31 19:02 kgv Note Added: 0099924
2021-03-31 19:02 kgv Assigned To mkrylova => osa
2021-03-31 19:02 kgv Status assigned => resolved
2021-04-01 10:43 git Note Added: 0099930
2021-04-01 10:58 osa Note Added: 0099932
2021-04-01 10:58 osa Assigned To osa => bugmaster
2021-04-01 10:58 osa Status resolved => reviewed
2021-04-03 11:56 bugmaster Note Added: 0100021
2021-04-03 11:56 bugmaster Status reviewed => tested
2021-04-03 12:03 bugmaster Test case number => Not required
2021-04-03 12:13 bugmaster Changeset attached => occt master d0b8f010
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:49 git Note Added: 0100028
2021-04-03 12:49 git Note Added: 0100029
2021-04-03 12:49 git Note Added: 0100030


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker